webpackJsonp([16],{

/***/ 685:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "LoginPageModule", function() { return LoginPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__login__ = __webpack_require__(843);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var LoginPageModule = /** @class */ (function () {
    function LoginPageModule() {
    }
    LoginPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__login__["a" /* LoginPage */]),
            ],
        })
    ], LoginPageModule);
    return LoginPageModule;
}());

//# sourceMappingURL=login.module.js.map

/***/ }),

/***/ 843:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = /** @class */ (function () {
    function LoginPage(navCtrl, navParams, service, events, alertCtrl, loading, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad LoginPage');
    };
    LoginPage.prototype.login = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        if (this.username && this.passwd) {
            this.loader.present().then(function () {
                _this.service.getLoinInfo(_this.trim(_this.username), _this.trim(_this.passwd)).subscribe(function (res) {
                    var message = res.json().message;
                    console.log(message);
                    if (message != 'incorrect') {
                        console.log(message.results.status_name);
                        _this.storage.set('username', _this.trim(_this.username)).then(function () {
                            _this.storage.set('passwd', _this.trim(_this.passwd)).then(function () {
                                _this.storage.set('name', message.results.name).then(function () {
                                    _this.storage.set('status_name', message.results.status_name).then(function () {
                                        _this.storage.set('notify', message.notify).then(function () {
                                            _this.loader.dismiss();
                                            console.log(message.results.name);
                                            _this.events.publish('refresh:sidemenu', Date.now());
                                            _this.navCtrl.setRoot('MenuPage', {
                                                name: message.name,
                                                status_name: message.status_name
                                            });
                                        });
                                    });
                                });
                            });
                        });
                    }
                    else {
                        _this.loader.dismiss();
                        _this.alert.setTitle('用户名或密码错误');
                        _this.alert.addButton('确定');
                        _this.alert.present();
                    }
                }, function (error) {
                    _this.loader.dismiss();
                    _this.alert.setTitle('连接服务器失败');
                    _this.alert.addButton('确定');
                    _this.alert.present();
                    console.log(error);
                });
            });
        }
        else {
            this.loader.dismiss();
            this.alert.setTitle('用户名和密码不能为空');
            this.alert.addButton('确定');
            this.alert.present();
        }
    };
    LoginPage.prototype.trim = function (str) {
        return str.replace(/(^\s*)|(\s*$)/g, "");
    };
    LoginPage.prototype.forgetPwd = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: '忘记密码',
            message: '修改密码',
            inputs: [
                {
                    name: 'id',
                    placeholder: '学号'
                },
                {
                    name: 'certificate',
                    placeholder: '证件号'
                },
                {
                    type: 'password',
                    name: 'passwd',
                    placeholder: '新密码'
                },
            ],
            buttons: [
                {
                    text: '取消',
                    handler: function () {
                    }
                },
                {
                    text: '确认',
                    handler: function (data) {
                        _this.alert = _this.alertCtrl.create({});
                        _this.loader = _this.loading.create({
                            content: '连接中....',
                            duration: 6000
                        });
                        if (data.id && data.certificate && data.passwd) {
                            _this.loader.present().then(function () {
                                _this.service.setStudentNewPWD(_this.trim(data.id), _this.trim(data.certificate), _this.trim(data.passwd)).subscribe(function (res) {
                                    var message = res.json().message;
                                    console.log(message);
                                    if (message == 'success') {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('重置密码成功，请重新登录');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                    else if (message == 'certierror') {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('身份证错误');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                    else if (message == 'nosuchid') {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('没有该学号');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                    else {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('重置密码失败');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                }, function (error) {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('连接服务器失败');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                    console.log(error);
                                });
                            });
                        }
                        else {
                            _this.loader.dismiss();
                            _this.alert.setTitle('用户名和密码不能为空');
                            _this.alert.addButton('确定');
                            _this.alert.present();
                        }
                    }
                }
            ]
        });
        alert.present();
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\login\login.html"*/'<!--\n  Generated template for the LoginPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n\n\n</ion-header>\n\n\n<ion-content padding>\n  <ion-list>\n    <ion-item class="img-item">\n      <div class="img">\n        <img src="assets/imgs/logo.png">\n      </div>\n    </ion-item>\n\n    <ion-item>\n      <ion-label> <ion-icon ios="ios-person-outline" md="md-person"></ion-icon></ion-label>\n      <ion-input type="text" [(ngModel)]="username" placeholder="学号/电话号码/身份证号"></ion-input>\n    </ion-item>\n  \n    <ion-item>\n      <ion-label><ion-icon ios="ios-lock-outline" md="md-lock"></ion-icon></ion-label>\n      <ion-input type="password" [(ngModel)]="passwd" placeholder="请输入登录密码"></ion-input>\n    </ion-item>\n\n  \n  </ion-list>\n  <div padding>\n    <button ion-button color="primary" block (click)="login()">登录</button>\n  </div>\n  \n  <div class="divR">\n      <button ion-button class="cbutton" color="light" clear (click)="forgetPwd()">忘记密码</button>\n      <!-- <button ion-button class="cbutton" color="light" clear (click)="forgetPwd()">忘记密码</button> |<button ion-button class="cbutton" color="light" clear>快速注册</button> -->\n  </div>\n\n  <!-- <div class="divw">\n    其他方式登录\n  </div>\n\n  <div class="weixin">\n    <img src="assets/imgs/icon-wexin.png">\n  </div> -->\n\n</ion-content>'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\login\login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ })

});
//# sourceMappingURL=16.js.map