webpackJsonp([17],{

/***/ 683:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ExamsPageModule", function() { return ExamsPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__exams__ = __webpack_require__(840);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ExamsPageModule = /** @class */ (function () {
    function ExamsPageModule() {
    }
    ExamsPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__exams__["a" /* ExamsPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__exams__["a" /* ExamsPage */]),
            ],
        })
    ], ExamsPageModule);
    return ExamsPageModule;
}());

//# sourceMappingURL=exams.module.js.map

/***/ }),

/***/ 840:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ExamsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the ExamsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ExamsPage = /** @class */ (function () {
    function ExamsPage(navCtrl, navParams, service, viewCtrl, alertCtrl, loading, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
        this.appType = 'appointment';
        this.apps = {};
    }
    ExamsPage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
        console.log('ionViewDidLoad ExamsPage');
    };
    ExamsPage.prototype.ionViewWillEnter = function () {
        this.init();
    };
    ExamsPage.prototype.init = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.storage.get('username').then(function (username) {
            if (username) {
                _this.storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.loader.present().then(function () {
                            _this.service.getStudentExams(username, passwd).subscribe(function (res) {
                                var message = res.json().message;
                                console.log(message);
                                if (message) {
                                    _this.loader.dismiss();
                                    _this.apps = message;
                                }
                                else {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('没有记录');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                            }, function (error) {
                                _this.loader.dismiss();
                                _this.alert.setTitle('连接服务器失败');
                                _this.alert.addButton('确定');
                                _this.alert.present();
                                console.log(error);
                            });
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                    }
                });
            }
            else {
                _this.alert.setTitle('请重新登录');
                _this.alert.addButton('确定');
            }
        });
    };
    ExamsPage.prototype.getItems = function (type) {
        return this.apps[type];
    };
    ExamsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-exams',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\exams\exams.html"*/'<!--\n  Generated template for the ExamsPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>查看考试</ion-title>\n  </ion-navbar>\n  <ion-toolbar no-border-top>\n    <ion-segment color="primary" [(ngModel)]="appType">\n      <ion-segment-button value="appointment">\n        已预约\n      </ion-segment-button>\n      <ion-segment-button value="result">\n        已排考\n      </ion-segment-button>\n      <ion-segment-button value="record">\n        考试成绩\n      </ion-segment-button>\n    </ion-segment>\n  </ion-toolbar>\n</ion-header>\n\n\n<ion-content style="background-color: #ecefef">\n  <div *ngIf="appType===\'appointment\'">\n    <ion-list class="exam-list">\n        <ion-item *ngFor="let item of getItems(appType)">\n            <h3>{{item.name}}</h3>\n            <p>{{item.appointment_date}}</p>\n        </ion-item>\n    </ion-list>\n  </div>\n  <div *ngIf="appType===\'result\'">\n    <ion-list class="exam-list">\n        <ion-item *ngFor="let item of getItems(appType)">\n            <h3>{{item.name}}</h3>\n            <p>{{item.exam_date}}</p>\n        </ion-item>\n    </ion-list>\n  </div>\n  <div *ngIf="appType===\'record\'">\n    <ion-list class="exam-list">\n        <ion-item *ngFor="let item of getItems(appType)">\n            <h3>{{item.name}}</h3>\n            <p>{{item.exam_date}}</p>\n        </ion-item>\n    </ion-list>\n  </div>\n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\exams\exams.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], ExamsPage);
    return ExamsPage;
}());

//# sourceMappingURL=exams.js.map

/***/ })

});
//# sourceMappingURL=17.js.map