webpackJsonp([4],{

/***/ 697:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TrainingEvaluationPageModule", function() { return TrainingEvaluationPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__training_evaluation__ = __webpack_require__(902);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TrainingEvaluationPageModule = /** @class */ (function () {
    function TrainingEvaluationPageModule() {
    }
    TrainingEvaluationPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__training_evaluation__["a" /* TrainingEvaluationPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__training_evaluation__["a" /* TrainingEvaluationPage */]),
            ],
        })
    ], TrainingEvaluationPageModule);
    return TrainingEvaluationPageModule;
}());

//# sourceMappingURL=training-evaluation.module.js.map

/***/ }),

/***/ 902:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TrainingEvaluationPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the TrainingEvaluationPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var TrainingEvaluationPage = /** @class */ (function () {
    function TrainingEvaluationPage(navCtrl, navParams, service, viewCtrl, alertCtrl, loading, storage, events, toastCtrl) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
        this.events = events;
        this.toastCtrl = toastCtrl;
        this.ev_id = navParams.get('ev_id');
        this.message_id = navParams.get('message_id');
        events.subscribe('NewMessage:clicked', function (time) {
            // user and time are the same arguments passed in `events.publish(user, time)`
            _this.notify -= 1;
        });
    }
    TrainingEvaluationPage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
        console.log('ionViewDidLoad TrainingEvaluationPage');
    };
    TrainingEvaluationPage.prototype.ionViewWillEnter = function () {
        this.getStudentEvaluationSubject();
    };
    TrainingEvaluationPage.prototype.formatDate = function (date) {
        var year = date.getFullYear() + '年';
        var month = (date.getMonth() + 1) + '月';
        //var day = date.getDate()+'日';
        var day = date.getDate();
        var week = ['日', '一', '二', '三', '四', '五', '六'][date.getDay()];
        //return year+month+day+' '+week;
        return { weekday: week, dateday: day };
    };
    TrainingEvaluationPage.prototype.addDate = function (date, n) {
        date.setDate(date.getDate() + n);
        return date;
    };
    TrainingEvaluationPage.prototype.setDate = function (date) {
        var weekdays = [];
        var week = date.getDay();
        console.log(week);
        date = this.addDate(date, week * -1);
        for (var i = 0; i < 7; i++) {
            weekdays.push(this.formatDate(i == 0 ? date : this.addDate(date, 1)));
        }
        return weekdays;
    };
    TrainingEvaluationPage.prototype.getStudentEvaluationSubject = function () {
        var _this = this;
        this.storage.get('notify').then(function (notify) {
            _this.notify = notify;
        });
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.storage.get('username').then(function (username) {
            if (username) {
                _this.storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.loader.present().then(function () {
                            _this.service.getStudentEvaluationSubject(username, passwd, _this.ev_id).subscribe(function (res) {
                                var message = res.json().message;
                                if (message) {
                                    _this.currentday = new Date(message[0].training_time).getDate();
                                    _this.currentYear = new Date(message[0].training_time).getFullYear();
                                    _this.currentMonth = new Date(message[0].training_time).getMonth() + 1;
                                    _this.weekArray = _this.setDate(new Date(message[0].training_time));
                                    message.forEach(function (record, recordindex) {
                                        //record.is_eved = 1;
                                        record['student_comment'] = '';
                                        record.score = Math.round(record.score * 100) / 100;
                                        record['coachStars'] = [{}, {}, {}, {}, {}];
                                        record['coachStars'].forEach(function (element, index) {
                                            element['icon'] = 'star';
                                            if (index < Math.round(record.score * 10) / 10) {
                                                element['class'] = 'stars';
                                            }
                                            else {
                                                element['class'] = 'stars-gray';
                                            }
                                        });
                                        record['StudentStars'] = [{}, {}, {}, {}, {}];
                                        record['StudentStars'].forEach(function (element, index) {
                                            element['name'] = 'student' + recordindex + index;
                                            element['icon'] = 'star';
                                            if (index < Math.round(record.course_score * 100) / 100) {
                                                element['class'] = 'stars';
                                            }
                                            else {
                                                element['class'] = 'stars-gray';
                                            }
                                            element['rating'] = record.course_score;
                                        });
                                        record.subjects.forEach(function (element, index) {
                                            element['stars'] = [{}, {}, {}, {}, {}];
                                            element['stars'].forEach(function (element1, index1) {
                                                element1['name'] = 'star' + recordindex + index + index1;
                                                element1['icon'] = 'star';
                                                if (index1 < Math.round(element.rating * 100) / 100) {
                                                    element1['class'] = 'stars';
                                                }
                                                else {
                                                    element1['class'] = 'stars-gray';
                                                }
                                                element['rating'] = element.rating;
                                            });
                                        });
                                    });
                                    _this.evaluationInfo = message;
                                    console.log(message);
                                    _this.loader.dismiss();
                                }
                                else {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('没有记录');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                            }, function (error) {
                                _this.loader.dismiss();
                                _this.alert.setTitle('连接服务器失败');
                                _this.alert.addButton('确定');
                                _this.alert.present();
                                console.log(error);
                            });
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                    }
                });
            }
            else {
                _this.alert.setTitle('请重新登录');
                _this.alert.addButton('确定');
            }
        });
    };
    TrainingEvaluationPage.prototype.toggleRating = function (star, stars) {
        // var num = a.substring(5, a.length) + 1
        console.log(star.name.charAt(star.name.length - 1));
        console.log(star);
        if (stars.is_eved === 0) {
            var num = parseInt(star.name.charAt(star.name.length - 1)) + 1;
            if (star.class === 'stars-gray') {
                for (var index = 0; index < num; index++) {
                    stars.StudentStars[index].class = 'stars';
                }
            }
            if (star.class === 'stars') {
                for (var index = 0; index < 5; index++) {
                    if (index < num) {
                        stars.StudentStars[index].class = 'stars';
                    }
                    else {
                        stars.StudentStars[index].class = 'stars-gray';
                    }
                }
            }
            stars.course_score = num;
        }
    };
    TrainingEvaluationPage.prototype.toggleSubjectRating = function (star, subjects, is_eved) {
        // var num = a.substring(5, a.length) + 1
        console.log(star.name.charAt(star.name.length - 1));
        console.log(subjects);
        if (is_eved == 0) {
            var num = parseInt(star.name.charAt(star.name.length - 1)) + 1;
            if (star.class === 'stars-gray') {
                for (var index = 0; index < num; index++) {
                    subjects.stars[index].class = 'stars';
                }
            }
            if (star.class === 'stars') {
                for (var index = 0; index < 5; index++) {
                    if (index < num) {
                        subjects.stars[index].class = 'stars';
                    }
                    else {
                        subjects.stars[index].class = 'stars-gray';
                    }
                }
            }
            subjects.rating = num;
        }
    };
    TrainingEvaluationPage.prototype.SendSubmit = function (subjects) {
        var _this = this;
        var newsubjects = subjects;
        console.log(subjects);
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        var is_score = true;
        subjects.subjects.forEach(function (element) {
            if (element.rating == 0) {
                is_score = false;
            }
        });
        if (subjects.course_score == 0) {
            is_score = false;
        }
        // if (!this.self_comment) {
        //   is_score = false;
        // }
        if (is_score) {
            delete newsubjects['StudentStars'];
            delete newsubjects['coachStars'];
            newsubjects.subjects.forEach(function (element) {
                delete element['name'];
                delete element['stars'];
            });
            this.storage.get('username').then(function (username) {
                if (username) {
                    _this.storage.get('passwd').then(function (passwd) {
                        if (passwd) {
                            _this.loader.present().then(function () {
                                _this.service.setStudentCourseEvaluation(username, passwd, JSON.stringify(newsubjects), _this.message_id).subscribe(function (res) {
                                    var message = res.json().message;
                                    console.log(message);
                                    if (message == 'success') {
                                        _this.loader.dismiss();
                                        var toast = _this.toastCtrl.create({
                                            message: '感谢您的评价!',
                                            duration: 3000
                                        });
                                        toast.present();
                                        _this.storage.set('notify', _this.notify - 1).then(function () {
                                            _this.events.publish('NewMessage:clicked', Date.now());
                                            _this.getStudentEvaluationSubject();
                                        });
                                    }
                                    else {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('评价失败，请联系管理员');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                }, function (error) {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('连接服务器失败');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                    console.log(error);
                                });
                            });
                        }
                        else {
                            _this.alert.setTitle('请重新登录');
                            _this.alert.addButton('确定');
                        }
                    });
                }
                else {
                    _this.alert.setTitle('请重新登录');
                    _this.alert.addButton('确定');
                }
            });
        }
        else {
            this.alert.setTitle('还有项目未评价');
            this.alert.addButton('确定');
            this.alert.present();
        }
    };
    TrainingEvaluationPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-training-evaluation',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\training-evaluation\training-evaluation.html"*/'<!--\n  Generated template for the TrainingEvaluationPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n    <ion-navbar color="primary">\n        <ion-title>我的评价</ion-title>\n      </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <div class="calendar-header">\n    <ion-row class="calendar-month">\n      <ion-col col-8>{{currentYear}}年{{currentMonth}}月 </ion-col>\n    </ion-row>\n  </div>\n  <div class="calendar-body">\n    <ion-grid>\n      <ion-row class="calendar-date">\n        <ion-col col-1 *ngFor="let day of weekArray">\n            <div class="test1" *ngIf="currentday === day.dateday; else otherDay"><div>{{day.weekday}}</div><span class="currentDay">{{day.dateday}}</span></div>\n            <ng-template #otherDay><div class="test2"><div>{{day.weekday}}</div><span class="otherDay">{{day.dateday}}</span></div></ng-template>\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n  <ion-card *ngFor="let ev of evaluationInfo">\n    <ion-card-header>\n      <span class="arrange_half">{{ev.arrange_half_name}}</span>\n    </ion-card-header>\n    <ion-list class="coach">\n      <ion-item>\n        <h2>{{ev.coach}}</h2>\n        <p>对您当天的培训表现综合评价如下：</p>\n        <!-- <ion-icon class="callicon" ios="ios-call" md="md-call" item-end color="primary" (click)="call(phone)"></ion-icon> -->\n      </ion-item>\n      <ion-item class="coach-evaluation">\n          <img src="assets/imgs/wheel.png" class="subjectImage">\n          <span class="subjectSpan">{{ev.course_name}} </span>\n          <ion-icon color="primary" *ngFor="let star of ev.coachStars" item-end small [name]="star.icon" [ngClass]="star.class"></ion-icon>\n          <span class="coach-score" item-end>{{ev.score}}</span>\n      </ion-item>\n      <ion-item text-wrap class="comment-item">\n        <h3 class="comment">评语：</h3>\n        <p class="comment-detail">{{ev.comment}}</p>\n      </ion-item>\n      <ion-item class="student-evaluation-title">\n        <p *ngIf="ev.is_eved === 0">请对我们的培训质量做出评价:</p>\n        <p *ngIf="ev.is_eved === 1">您对我们的培训质量的评价:</p>\n      </ion-item>\n      <ion-item *ngFor="let subject of ev.subjects" class="student-evaluation">\n        <img src="assets/imgs/wheel.png" class="subjectImage">\n        <span class="subjectSpan">{{subject.name}} </span>\n        <ion-icon color="primary" *ngFor="let star of subject.stars" item-end small [name]="star.icon" [ngClass]="star.class" (click)="toggleSubjectRating(star, subject, ev.is_eved)"></ion-icon>\n      </ion-item>\n      <ion-item class="student-self-evaluation-title">\n        <p>您的自评：</p>\n      </ion-item>\n      <ion-item class="student-self-evaluation">\n        <img src="assets/imgs/wheel.png" class="subjectImage">\n        <span class="subjectSpan">{{ev.course_name}} </span>\n        <ion-icon color="primary" *ngFor="let star of ev.StudentStars" item-end small [name]="star.icon" [ngClass]="star.class" (click)="toggleRating(star, ev)"></ion-icon>\n      </ion-item>\n      <ion-item>\n        <ion-textarea *ngIf="ev.is_eved === 0; else othertext" class="self-comment-input" id="textarea" [(ngModel)]="ev.student_comment" placeholder="自我评价一下..."  maxlength="100"></ion-textarea>\n        <ng-template #othertext><ion-textarea readonly class="self-comment-input" id="textarea" [(ngModel)]="ev.student_comment" placeholder="无"  maxlength="100"></ion-textarea></ng-template> \n      </ion-item>\n      <ion-item>\n        <button ion-button item-end color="primary" full *ngIf="ev.is_eved == 0" style="height: 40px;font-size:20px;border-radius: 3px;" (click)="SendSubmit(ev)">发 &nbsp;&nbsp;布</button>\n      </ion-item>\n    </ion-list>\n  </ion-card>\n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\training-evaluation\training-evaluation.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Events */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ToastController */]])
    ], TrainingEvaluationPage);
    return TrainingEvaluationPage;
}());

//# sourceMappingURL=training-evaluation.js.map

/***/ })

});
//# sourceMappingURL=4.js.map