webpackJsonp([6],{

/***/ 695:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TrainingCoursePageModule", function() { return TrainingCoursePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__training_course__ = __webpack_require__(900);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var TrainingCoursePageModule = /** @class */ (function () {
    function TrainingCoursePageModule() {
    }
    TrainingCoursePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__training_course__["a" /* TrainingCoursePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__training_course__["a" /* TrainingCoursePage */]),
            ],
        })
    ], TrainingCoursePageModule);
    return TrainingCoursePageModule;
}());

//# sourceMappingURL=training-course.module.js.map

/***/ }),

/***/ 900:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TrainingCoursePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TrainingCoursePage = /** @class */ (function () {
    function TrainingCoursePage(navCtrl, navParams, service, viewCtrl, alertCtrl, loading, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
        this.course_id = navParams.get('course_id');
    }
    TrainingCoursePage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
        console.log('ionViewDidLoad TrainingCoursePage');
    };
    TrainingCoursePage.prototype.ionViewWillEnter = function () {
        this.getStudentMessageCourse();
        // this.currentday = new Date('2018-05-26').getDate();
        // this.weekArray = this.setDate(new Date('2018-05-26'));
    };
    TrainingCoursePage.prototype.formatDate = function (date) {
        var year = date.getFullYear() + '年';
        var month = (date.getMonth() + 1) + '月';
        //var day = date.getDate()+'日';
        var day = date.getDate();
        var week = ['日', '一', '二', '三', '四', '五', '六'][date.getDay()];
        //return year+month+day+' '+week;
        return { weekday: week, dateday: day };
    };
    TrainingCoursePage.prototype.addDate = function (date, n) {
        date.setDate(date.getDate() + n);
        return date;
    };
    TrainingCoursePage.prototype.setDate = function (date) {
        var weekdays = [];
        var week = date.getDay();
        console.log(week);
        date = this.addDate(date, week * -1);
        for (var i = 0; i < 7; i++) {
            weekdays.push(this.formatDate(i == 0 ? date : this.addDate(date, 1)));
        }
        return weekdays;
    };
    TrainingCoursePage.prototype.getStudentMessageCourse = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.storage.get('username').then(function (username) {
            if (username) {
                _this.storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.loader.present().then(function () {
                            _this.service.getStudentMessageCourse(username, passwd, _this.course_id).subscribe(function (res) {
                                var message = res.json().message;
                                console.log(message);
                                if (message) {
                                    _this.courses = message;
                                    _this.trainingInfo = [];
                                    _this.currentday = new Date(_this.courses[0].training_time).getDate();
                                    _this.currentYear = new Date(_this.courses[0].training_time).getFullYear();
                                    _this.currentMonth = new Date(_this.courses[0].training_time).getMonth() + 1;
                                    _this.weekArray = _this.setDate(new Date(_this.courses[0].training_time));
                                    _this.initMap(message[0].lat, message[0].lon);
                                    message.forEach(function (element) {
                                        _this.addMarkers(element.lat, element.lon, element.address, element.company);
                                        _this.trainingInfo.push({ coach: element.coach, subject: element.subject, arrange_half_name: element.arrange_half_name, phone: element.phone });
                                    });
                                    _this.loader.dismiss();
                                }
                                else {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('没有记录');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                            }, function (error) {
                                _this.loader.dismiss();
                                _this.alert.setTitle('连接服务器失败');
                                _this.alert.addButton('确定');
                                _this.alert.present();
                                console.log(error);
                            });
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                    }
                });
            }
            else {
                _this.alert.setTitle('请重新登录');
                _this.alert.addButton('确定');
            }
        });
    };
    TrainingCoursePage.prototype.initMap = function (lat, lon) {
        var map = this.map = new BMap.Map(this.mapElement.nativeElement, { enableMapClick: false }); //创建地图实例
        // map.centerAndZoom("广州",17); //设置城市设置中心和地图显示级别
        var point = new BMap.Point(lon, lat); //坐标可以通过百度地图坐标拾取器获取
        map.centerAndZoom(point, 14); //设置中心和地图显示级别
        map.addControl(new BMap.MapTypeControl());
        // map.setCurrentCity("广州"); 
        var sizeMap = new BMap.Size(10, 80); //显示位置
        map.addControl(new BMap.NavigationControl());
        map.enableScrollWheelZoom(true); //启动滚轮放大缩小，默认禁用
        map.enableContinuousZoom(true); //连续缩放效果，默认禁用
    };
    TrainingCoursePage.prototype.addMarkers = function (lat, lon, address, name) {
        var point = new BMap.Point(lon, lat); //坐标可以通过百度地图坐标拾取器获取
        var myIcon = new BMap.Icon("assets/icon/position.png", new BMap.Size(25, 35));
        var marker = this.marker = new BMap.Marker(point, { icon: myIcon });
        this.map.addOverlay(marker);
        var infoWindow = new BMap.InfoWindow("<span style='font-size:14px;'>驾校：" + name + "</span><p style='font-size:14px;'>地址：" + address + "</p>", {
            offset: new BMap.Size(0, -20),
            width: 100,
            height: 50
        });
        marker.addEventListener("click", function () { this.openInfoWindow(infoWindow); });
    };
    TrainingCoursePage.prototype.call = function (tel) {
        console.log(tel);
        window.location.href = 'tel:' + tel;
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('map'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], TrainingCoursePage.prototype, "mapElement", void 0);
    TrainingCoursePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-training-course',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\training-course\training-course.html"*/'<!--\n  Generated template for the TrainingCoursePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n    <ion-navbar color="primary">\n      <ion-title>我的排课</ion-title>\n    </ion-navbar>\n  \n  </ion-header>\n\n\n<ion-content>\n  <div class="calendar-header">\n    <ion-row class="calendar-month">\n      <ion-col col-8>{{currentYear}}年{{currentMonth}}月 </ion-col>\n    </ion-row>\n  </div>\n  <div class="calendar-body">\n    <ion-grid>\n      <ion-row class="calendar-date">\n        <ion-col col-1 *ngFor="let day of weekArray">\n            <div class="test1" *ngIf="currentday === day.dateday; else otherDay"><div>{{day.weekday}}</div><span class="currentDay">{{day.dateday}}</span></div>\n            <ng-template #otherDay><div class="test2"><div>{{day.weekday}}</div><span class="otherDay">{{day.dateday}}</span></div></ng-template>\n        </ion-col>\n      </ion-row>\n    </ion-grid>\n  </div>\n  <div id="map" #map></div>\n  <ion-card *ngFor="let course of trainingInfo">\n    <ion-list class="coach">\n      <ion-item>\n        <h2>{{course.coach}}</h2>\n        <p>我是您的培训教练，有问题可以联系我！</p>\n        <ion-icon class="callicon" ios="ios-call" md="md-call" item-end color="primary" (click)="call(course.phone)"></ion-icon>\n      </ion-item>\n    </ion-list>\n    <ion-list class="courselist">\n      <ion-item>\n        <ion-icon class="courseicon" name="bookmarks" item-start color="primary"></ion-icon>\n        <h2>培训项目</h2>\n      </ion-item>\n    </ion-list>\n    <ion-list class="subject">\n      <ion-item>\n          <img src="assets/imgs/wheel.png" class="subjectImage">\n          <span class="subjectSpan">{{course.subject}}</span>\n          <span class="arrange_half">{{course.arrange_half_name}}</span>\n      </ion-item>\n    </ion-list>\n  </ion-card>\n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\training-course\training-course.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], TrainingCoursePage);
    return TrainingCoursePage;
}());

//# sourceMappingURL=training-course.js.map

/***/ })

});
//# sourceMappingURL=6.js.map