webpackJsonp([20],{

/***/ 151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomeProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_rxjs_add_operator_map__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



/*
  Generated class for the HomeProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var HomeProvider = /** @class */ (function () {
    function HomeProvider(httpService) {
        this.httpService = httpService;
        // address: any = 'http://192.168.1.110:9002/';
        this.address = 'http://139.159.224.7:9002/';
        console.log('Hello ServiceProvider Provider');
    }
    HomeProvider.prototype.getLoinInfo = function (username, passwd) {
        return this.httpService.request(this.address + 'getLoginInfo?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getHomeInfo = function (username, passwd) {
        return this.httpService.request(this.address + 'getHomeInfo?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getMenuInfo = function (username, passwd) {
        return this.httpService.request(this.address + 'getMenuInfo?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getRequestContact = function () {
        return this.httpService.get("assets/json/message.json");
    };
    HomeProvider.prototype.getStudentAppointmentArrange = function (username, passwd, year, month, student_id, subject) {
        return this.httpService.request(this.address + 'getStudentAppointmentArrange?username=' + username + '&passwd=' + passwd + '&year=' + year
            + '&month=' + month + '&student_id=' + student_id + '&subject=' + subject);
    };
    HomeProvider.prototype.setStudentAppointment = function (username, passwd, year, month, day, arrange_half_id, subject) {
        return this.httpService.request(this.address + 'setStudentAppointment?username=' + username + '&passwd=' + passwd + '&year=' + year
            + '&month=' + month + '&day=' + day + '&arrange_half_id=' + arrange_half_id + '&subject=' + subject);
    };
    HomeProvider.prototype.getStudentMessages = function (username, passwd) {
        return this.httpService.request(this.address + 'getStudentMessages?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.setStudentMessageRead = function (username, passwd, message_id) {
        return this.httpService.request(this.address + 'setStudentMessageRead?username=' + username + '&passwd=' + passwd + '&message_id=' + message_id);
    };
    HomeProvider.prototype.getStudentMessageCourse = function (username, passwd, course_id) {
        return this.httpService.request(this.address + 'getStudentMessageCourse?username=' + username + '&passwd=' + passwd + '&course_id=' + course_id);
    };
    HomeProvider.prototype.getStudentEvaluationSubject = function (username, passwd, ev_id) {
        return this.httpService.request(this.address + 'getStudentEvaluationSubject?username=' + username + '&passwd=' + passwd + '&ev_id=' + ev_id);
    };
    HomeProvider.prototype.setStudentCourseEvaluation = function (username, passwd, subjects, message_id) {
        return this.httpService.request(this.address + 'setStudentCourseEvaluation?username=' + username + '&passwd=' + passwd
            + '&subjects=' + subjects + '&message_id=' + message_id);
    };
    HomeProvider.prototype.getStudentTrainingArrange = function (username, passwd, year, month) {
        return this.httpService.request(this.address + 'getStudentTrainingArrange?username=' + username + '&passwd=' + passwd + '&year=' + year
            + '&month=' + month);
    };
    HomeProvider.prototype.getStudentEvaluationArrange = function (username, passwd, year, month) {
        return this.httpService.request(this.address + 'getStudentEvaluationArrange?username=' + username + '&passwd=' + passwd + '&year=' + year
            + '&month=' + month);
    };
    HomeProvider.prototype.delStudentAppointment = function (username, passwd, record_id) {
        return this.httpService.request(this.address + 'delStudentAppointment?username=' + username + '&passwd=' + passwd + '&record_id=' + record_id);
    };
    HomeProvider.prototype.getStudentPersonalInfo = function (username, passwd) {
        return this.httpService.request(this.address + 'getStudentPersonalInfo?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getStudentExams = function (username, passwd) {
        return this.httpService.request(this.address + 'getStudentExams?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getStudentTheoryPractice = function (username, passwd, yid, sid) {
        return this.httpService.request(this.address + 'getStudentTheoryPractice?username=' + username + '&passwd=' + passwd + '&y_id=' + yid
            + '&s_id=' + sid);
    };
    HomeProvider.prototype.getStudentTheoryWrong = function (username, passwd, tid, subject) {
        return this.httpService.request(this.address + 'getStudentTheoryWrong?username=' + username + '&passwd=' + passwd + '&tid=' + tid
            + '&subject=' + subject);
    };
    HomeProvider.prototype.getStudentTheoryExamOne = function (username, passwd) {
        return this.httpService.request(this.address + 'getStudentTheoryExamOne?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.getStudentTheoryExamFour = function (username, passwd) {
        return this.httpService.request(this.address + 'getStudentTheoryExamFour?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.setStudentCheck = function (username, passwd, slon, slat, param) {
        return this.httpService.request(this.address + 'setStudentCheck?username=' + username + '&passwd=' + passwd + '&slon=' + slon
            + '&slat=' + slat + '&param=' + param);
    };
    HomeProvider.prototype.getCarPosition = function (username, passwd) {
        return this.httpService.request(this.address + 'getCarPosition?username=' + username + '&passwd=' + passwd);
    };
    HomeProvider.prototype.setStudentNewPWD = function (student_id, certi, newpwd) {
        return this.httpService.request(this.address + 'setStudentNewPWD?student_id=' + student_id + '&certi=' + certi + '&newpwd=' + newpwd);
    };
    HomeProvider.prototype.setStudentExamRecord = function (username, passwd, score, subject) {
        return this.httpService.request(this.address + 'setStudentExamRecord?username=' + username + '&passwd=' + passwd + '&score=' + score + '&subject=' + subject);
    };
    HomeProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */]])
    ], HomeProvider);
    return HomeProvider;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 162:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 162;

/***/ }),

/***/ 207:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/appointment/appointment.module": [
		681,
		19
	],
	"../pages/car-position/car-position.module": [
		682,
		18
	],
	"../pages/exams/exams.module": [
		683,
		17
	],
	"../pages/home/home.module": [
		684,
		1
	],
	"../pages/login/login.module": [
		685,
		16
	],
	"../pages/menu/menu.module": [
		686,
		15
	],
	"../pages/message/message.module": [
		687,
		14
	],
	"../pages/personal/personal.module": [
		689,
		0
	],
	"../pages/pick/pick.module": [
		688,
		13
	],
	"../pages/scan/scan.module": [
		693,
		12
	],
	"../pages/signup/signup.module": [
		691,
		11
	],
	"../pages/theory-exam/theory-exam.module": [
		696,
		10
	],
	"../pages/theory-practice/theory-practice.module": [
		690,
		9
	],
	"../pages/theory/theory.module": [
		692,
		8
	],
	"../pages/training-arrange/training-arrange.module": [
		694,
		7
	],
	"../pages/training-course/training-course.module": [
		695,
		6
	],
	"../pages/training-evaluation-record/training-evaluation-record.module": [
		699,
		5
	],
	"../pages/training-evaluation/training-evaluation.module": [
		697,
		4
	],
	"../pages/training/training.module": [
		700,
		3
	],
	"../pages/welcome/welcome.module": [
		698,
		2
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 207;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 347:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(348);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(352);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 352:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(250);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(251);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_http__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_sqlite_porter__ = __webpack_require__(252);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_sqlite__ = __webpack_require__(253);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_barcode_scanner__ = __webpack_require__(346);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__app_component__ = __webpack_require__(398);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__providers_home_home__ = __webpack_require__(151);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__providers_database_database__ = __webpack_require__(399);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_geolocation__ = __webpack_require__(345);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};














var AppModule = /** @class */ (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_10__app_component__["a" /* MyApp */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_10__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/appointment/appointment.module#AppointmentPageModule', name: 'AppointmentPage', segment: 'appointment', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/car-position/car-position.module#CarPositionPageModule', name: 'CarPositionPage', segment: 'car-position', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/exams/exams.module#ExamsPageModule', name: 'ExamsPage', segment: 'exams', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/home/home.module#HomePageModule', name: 'HomePage', segment: 'home', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/menu/menu.module#MenuPageModule', name: 'MenuPage', segment: 'menu', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/message/message.module#MessagePageModule', name: 'MessagePage', segment: 'message', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/pick/pick.module#PickPageModule', name: 'PickPage', segment: 'pick', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/personal/personal.module#PersonalPageModule', name: 'PersonalPage', segment: 'personal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/theory-practice/theory-practice.module#TheoryPracticePageModule', name: 'TheoryPracticePage', segment: 'theory-practice', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/signup/signup.module#SignupPageModule', name: 'SignupPage', segment: 'signup', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/theory/theory.module#TheoryPageModule', name: 'TheoryPage', segment: 'theory', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/scan/scan.module#ScanPageModule', name: 'ScanPage', segment: 'scan', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/training-arrange/training-arrange.module#TrainingArrangePageModule', name: 'TrainingArrangePage', segment: 'training-arrange', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/training-course/training-course.module#TrainingCoursePageModule', name: 'TrainingCoursePage', segment: 'training-course', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/theory-exam/theory-exam.module#TheoryExamPageModule', name: 'TheoryExamPage', segment: 'theory-exam', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/training-evaluation/training-evaluation.module#TrainingEvaluationPageModule', name: 'TrainingEvaluationPage', segment: 'training-evaluation', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/welcome/welcome.module#WelcomePageModule', name: 'WelcomePage', segment: 'welcome', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/training-evaluation-record/training-evaluation-record.module#TrainingEvaluationRecordPageModule', name: 'TrainingEvaluationRecordPage', segment: 'training-evaluation-record', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/training/training.module#TrainingPageModule', name: 'TrainingPage', segment: 'training', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
                // important for providers
                __WEBPACK_IMPORTED_MODULE_5__angular_http__["b" /* HttpModule */]
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_10__app_component__["a" /* MyApp */],
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_11__providers_home_home__["a" /* HomeProvider */],
                __WEBPACK_IMPORTED_MODULE_12__providers_database_database__["a" /* DatabaseProvider */],
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_sqlite_porter__["a" /* SQLitePorter */],
                __WEBPACK_IMPORTED_MODULE_13__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_sqlite__["a" /* SQLite */],
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 398:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(251);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(250);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var MyApp = /** @class */ (function () {
    function MyApp(platform, statusBar, splashScreen, storage, service, events) {
        var _this = this;
        this.storage = storage;
        this.service = service;
        this.events = events;
        // this.rootPage = 'WelcomePage';
        storage.get('username').then(function (username) {
            if (username) {
                storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.service.getLoinInfo(username, passwd).subscribe(function (res) {
                            var message = res.json().message;
                            console.log(message);
                            if (message != 'incorrect') {
                                console.log(message.results.name);
                                _this.storage.set('name', message.results.name).then(function () {
                                    _this.storage.set('status_name', message.results.status_name).then(function () {
                                        _this.storage.set('notify', message.notify).then(function () {
                                            _this.rootPage = 'MenuPage';
                                        });
                                    });
                                });
                            }
                            else {
                                _this.rootPage = 'WelcomePage';
                            }
                        }, function (error) {
                            _this.rootPage = 'WelcomePage';
                        });
                    }
                    else {
                        _this.rootPage = 'WelcomePage';
                    }
                });
            }
            else {
                _this.rootPage = 'WelcomePage';
            }
        });
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"G:\testapp\sss\liu\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_5__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Events */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 399:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DatabaseProvider; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_sqlite_porter__ = __webpack_require__(252);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_sqlite__ = __webpack_require__(253);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_http__ = __webpack_require__(87);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__ = __webpack_require__(115);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_5_rxjs_add_operator_map__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_Rx__ = __webpack_require__(400);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_rxjs_Rx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_rxjs_Rx__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_storage__ = __webpack_require__(86);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








/*
  Generated class for the DatabaseProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
var DatabaseProvider = /** @class */ (function () {
    function DatabaseProvider(sqlitePorter, storage, sqlite, platform, http) {
        var _this = this;
        this.sqlitePorter = sqlitePorter;
        this.storage = storage;
        this.sqlite = sqlite;
        this.platform = platform;
        this.http = http;
        this.databaseReady = new __WEBPACK_IMPORTED_MODULE_6_rxjs_Rx__["BehaviorSubject"](false);
        this.platform.ready().then(function () {
            _this.sqlite.create({
                name: 'developers.db',
                location: 'default'
            }).then(function (db) {
                _this.database = db;
                if (_this.testDatabase()) {
                    _this.databaseReady.next(true);
                }
                else {
                    _this.fillDatabase();
                }
            });
        });
    }
    DatabaseProvider.prototype.fillDatabase = function () {
        var _this = this;
        this.http.get('assets/dummyDump.sql')
            .map(function (res) { return res.text(); })
            .subscribe(function (sql) {
            _this.sqlitePorter.importSqlToDb(_this.database, sql)
                .then(function (data) {
                _this.databaseReady.next(true);
            })
                .catch(function (e) { return console.error(e); });
        });
    };
    DatabaseProvider.prototype.testDatabase = function () {
        return this.database.executeSql('SELECT * FROM question limit 1', []).then(function (data) {
            if (data.rows.length > 0) {
                return true;
            }
            else {
                return false;
            }
        }, function (err) {
            return false;
        });
    };
    DatabaseProvider.prototype.addDeveloper = function (name, skill, years) {
        var data = [name, skill, years];
        return this.database.executeSql("INSERT INTO developer (name, skill, yearsOfExperience) VALUES (?, ?, ?)", data).then(function (data) {
            return data;
        }, function (err) {
            console.log('Error: ', err);
            return err;
        });
    };
    DatabaseProvider.prototype.getAllDevelopers = function () {
        return this.database.executeSql("SELECT * FROM developer", []).then(function (data) {
            var developers = [];
            if (data.rows.length > 0) {
                for (var i = 0; i < data.rows.length; i++) {
                    developers.push({ name: data.rows.item(i).name, skill: data.rows.item(i).skill, yearsOfExperience: data.rows.item(i).yearsOfExperience });
                }
            }
            return developers;
        }, function (err) {
            console.log('Error: ', err);
            return [];
        });
    };
    DatabaseProvider.prototype.getDatabaseState = function () {
        return this.databaseReady.asObservable();
    };
    DatabaseProvider = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["A" /* Injectable */])(),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__ionic_native_sqlite_porter__["a" /* SQLitePorter */], __WEBPACK_IMPORTED_MODULE_7__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_sqlite__["a" /* SQLite */],
            __WEBPACK_IMPORTED_MODULE_0_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_4__angular_http__["a" /* Http */]])
    ], DatabaseProvider);
    return DatabaseProvider;
}());

//# sourceMappingURL=database.js.map

/***/ })

},[347]);
//# sourceMappingURL=main.js.map