webpackJsonp([12],{

/***/ 693:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ScanPageModule", function() { return ScanPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__scan__ = __webpack_require__(898);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ScanPageModule = /** @class */ (function () {
    function ScanPageModule() {
    }
    ScanPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__scan__["a" /* ScanPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__scan__["a" /* ScanPage */]),
            ],
        })
    ], ScanPageModule);
    return ScanPageModule;
}());

//# sourceMappingURL=scan.module.js.map

/***/ }),

/***/ 898:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ScanPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_barcode_scanner__ = __webpack_require__(346);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_geolocation__ = __webpack_require__(345);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ScanPage = /** @class */ (function () {
    function ScanPage(navCtrl, navParams, service, scanner, viewCtrl, geolocation, alertCtrl, loading, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.scanner = scanner;
        this.viewCtrl = viewCtrl;
        this.geolocation = geolocation;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
        this.encodeText = '';
        this.encodedData = {};
        this.scannedData = {};
    }
    ScanPage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
    };
    ScanPage.prototype.ionViewWillEnter = function () {
        this.scan();
    };
    ScanPage.prototype.scan = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.options = {
            prompt: 'scan your barcode',
            resultDisplayDuration: 0
        };
        this.scanner.scan().then(function (data) {
            _this.scannedData = data;
            if (_this.scannedData.text.indexOf('http') == -1) {
                _this.check(_this.scannedData.text);
            }
            else {
                _this.alert.setTitle('不是有效的二维码，请检查后重试');
                _this.alert.addButton('确定');
                _this.alert.present();
            }
        }, function (err) {
            _this.alert.setTitle('扫码失败');
            _this.alert.addButton('确定');
            _this.alert.present();
            console.log("Error Scan: ", err);
        });
    };
    ScanPage.prototype.check = function (param) {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 12000
        });
        this.storage.get('username').then(function (username) {
            if (username) {
                _this.storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.loader.present().then(function () {
                            var geolocation = new BMap.Geolocation();
                            geolocation.getCurrentPosition(function (position) {
                                //0代表调用成功，具体状态可见百度地图api
                                if (geolocation.getStatus() == 0) {
                                    _this.service.setStudentCheck(username, passwd, position.longitude, position.latitude, param).subscribe(function (res) {
                                        var message = res.json().message;
                                        console.log(message);
                                        if (message == 'success') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle(param.split(',')[param.split(',').length - 1] == '1' ? '签到成功' : '签退成功');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                            _this.navCtrl.pop();
                                        }
                                        else if (message == 'notSignin') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('该时段未签到，不能签退');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'nodev') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('该设备未绑定，请联系客服');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'scanfail') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('扫码失败');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'fail') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('扫码失败，请联系客服');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'incorrect') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('验证失败，请退出登录后重新登录');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'coacherror') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('该教练不是你该时段的培训教练');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'noappointment') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('您今天当前时段并未预约任何培训项目');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                        else if (message == 'coachnocheck') {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('教练员未签到');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                    }, function (error) {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('连接服务器失败');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                        console.log(error);
                                    });
                                }
                                else {
                                    console.log(position);
                                }
                            });
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                        _this.alert.present();
                    }
                });
            }
            else {
                _this.alert.setTitle('请重新登录');
                _this.alert.addButton('确定');
                _this.alert.present();
            }
        });
    };
    ScanPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-scan',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\scan\scan.html"*/'<!--\n  Generated template for the ScanPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>扫码</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n  <!-- <button ion-button block (click)="scan()"> 扫码</button>\n  <div *ngIf="scannedData.text">\n    <label>条码内容: </label>\n    <br>\n    <span>{{scannedData.text}}</span>\n  </div> -->\n\n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\scan\scan.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_5__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_barcode_scanner__["a" /* BarcodeScanner */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_geolocation__["a" /* Geolocation */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */]])
    ], ScanPage);
    return ScanPage;
}());

//# sourceMappingURL=scan.js.map

/***/ })

});
//# sourceMappingURL=12.js.map