webpackJsonp([14],{

/***/ 687:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "MessagePageModule", function() { return MessagePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__message__ = __webpack_require__(845);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var MessagePageModule = /** @class */ (function () {
    function MessagePageModule() {
    }
    MessagePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__message__["a" /* MessagePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__message__["a" /* MessagePage */]),
            ],
        })
    ], MessagePageModule);
    return MessagePageModule;
}());

//# sourceMappingURL=message.module.js.map

/***/ }),

/***/ 845:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the MessagePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var MessagePage = /** @class */ (function () {
    function MessagePage(navCtrl, navParams, service, viewCtrl, alertCtrl, loading, storage, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.loading = loading;
        this.storage = storage;
        this.events = events;
        events.subscribe('NewMessage:clicked', function (time) {
            // user and time are the same arguments passed in `events.publish(user, time)`
            _this.notify -= 1;
        });
    }
    MessagePage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
        console.log('ionViewDidLoad MessagePage');
    };
    MessagePage.prototype.ionViewWillEnter = function () {
        this.getStudentMessages();
    };
    MessagePage.prototype.getStudentMessages = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.storage.get('notify').then(function (notify) {
            _this.notify = notify;
            _this.storage.get('username').then(function (username) {
                if (username) {
                    _this.storage.get('passwd').then(function (passwd) {
                        if (passwd) {
                            _this.loader.present().then(function () {
                                _this.service.getStudentMessages(username, passwd).subscribe(function (res) {
                                    var message = res.json().message;
                                    console.log(message);
                                    if (message) {
                                        _this.messages = message;
                                        _this.loader.dismiss();
                                    }
                                    else {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('没有记录');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                    }
                                }, function (error) {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('连接服务器失败');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                    console.log(error);
                                });
                            });
                        }
                        else {
                            _this.alert.setTitle('请重新登录');
                            _this.alert.addButton('确定');
                        }
                    });
                }
                else {
                    _this.alert.setTitle('请重新登录');
                    _this.alert.addButton('确定');
                }
            });
        });
    };
    MessagePage.prototype.goto = function (message) {
        var _this = this;
        console.log(message);
        // todo update is_read
        if (message.message_type === 1) {
            if (message.is_read == 0) {
                this.alert = this.alertCtrl.create({});
                this.loader = this.loading.create({
                    content: '连接中....',
                    duration: 6000
                });
                this.storage.get('username').then(function (username) {
                    if (username) {
                        _this.storage.get('passwd').then(function (passwd) {
                            if (passwd) {
                                _this.loader.present().then(function () {
                                    _this.service.setStudentMessageRead(username, passwd, message.id).subscribe(function (res) {
                                        var message1 = res.json().message;
                                        console.log(message1);
                                        if (message1) {
                                            _this.storage.set('notify', _this.notify - 1).then(function () {
                                                _this.events.publish('NewMessage:clicked', Date.now());
                                                _this.loader.dismiss();
                                                _this.navCtrl.push('TrainingCoursePage', {
                                                    course_id: message.message_content_id
                                                });
                                            });
                                        }
                                        else {
                                            _this.loader.dismiss();
                                            _this.alert.setTitle('没有记录');
                                            _this.alert.addButton('确定');
                                            _this.alert.present();
                                        }
                                    }, function (error) {
                                        _this.loader.dismiss();
                                        _this.alert.setTitle('连接服务器失败');
                                        _this.alert.addButton('确定');
                                        _this.alert.present();
                                        console.log(error);
                                    });
                                });
                            }
                            else {
                                _this.alert.setTitle('请重新登录');
                                _this.alert.addButton('确定');
                            }
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                    }
                });
            }
            else {
                this.navCtrl.push('TrainingCoursePage', {
                    course_id: message.message_content_id
                });
            }
        }
        if (message.message_type === 2) {
            this.navCtrl.push('TrainingEvaluationPage', {
                ev_id: message.message_content_id,
                message_id: message.id
            });
            // this.alert = this.alertCtrl.create({});
            // this.loader = this.loading.create({
            //   content: '连接中....'
            // });
            // this.storage.get('username').then((username) => {
            //   if (username){
            //     this.storage.get('passwd').then((passwd) => {
            //       if (passwd){
            //         this.loader.present().then(()=>{
            //           this.service.setStudentMessageRead(username, passwd, message_id).subscribe(res=>{
            //             var message = res.json().message;
            //             console.log(message);
            //             if (message){
            //               this.storage.set('notify', this.notify - 1);
            //               this.events.publish('NewMessage:clicked', Date.now());
            //               this.navCtrl.push('TrainingEvaluationPage', {
            //                 course_id: message_content_id
            //               })
            //               this.loader.dismiss();
            //             }else{
            //               this.loader.dismiss();
            //               this.alert.setTitle('没有记录');
            //               this.alert.addButton('确定');
            //               this.alert.present();
            //             }
            //           }, error=>{
            //             this.loader.dismiss();
            //             this.alert.setTitle('连接服务器失败');
            //             this.alert.addButton('确定');
            //             this.alert.present();
            //             console.log(error);
            //           })
            //         })
            //       }else{
            //         this.alert.setTitle('请重新登录');
            //         this.alert.addButton('确定');
            //       }
            //     });
            //   }else{
            //     this.alert.setTitle('请重新登录');
            //     this.alert.addButton('确定');
            //   }
            // });
        }
    };
    MessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-message',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\message\message.html"*/'<!--\n  Generated template for the MessagePage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>我的消息</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <ion-list class="messagelist">\n    <button class="messagebutton" ion-item *ngFor="let message of messages" (click)="goto(message)">\n      <!-- <ion-badge *ngIf="message.is_read == 0" item-end>&nbsp;</ion-badge> -->\n      <div class="dot" *ngIf="message.is_read == 0" item-start>&nbsp;</div>\n      <ion-icon ios="ios-information-circle-outline" md="md-information-circle" item-start></ion-icon>\n       <h3>{{ message.message_content }}</h3>\n      <p>{{message.create_time}}</p>\n    </button>  \n  </ion-list>\n\n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\message\message.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* Events */]])
    ], MessagePage);
    return MessagePage;
}());

//# sourceMappingURL=message.js.map

/***/ })

});
//# sourceMappingURL=14.js.map