webpackJsonp([18],{

/***/ 682:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "CarPositionPageModule", function() { return CarPositionPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__car_position__ = __webpack_require__(839);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var CarPositionPageModule = /** @class */ (function () {
    function CarPositionPageModule() {
    }
    CarPositionPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__car_position__["a" /* CarPositionPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__car_position__["a" /* CarPositionPage */]),
            ],
        })
    ], CarPositionPageModule);
    return CarPositionPageModule;
}());

//# sourceMappingURL=car-position.module.js.map

/***/ }),

/***/ 839:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CarPositionPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(85);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(86);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_geolocation__ = __webpack_require__(345);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_home_home__ = __webpack_require__(151);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CarPositionPage = /** @class */ (function () {
    function CarPositionPage(navCtrl, navParams, service, viewCtrl, alertCtrl, geolocation, loading, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.service = service;
        this.viewCtrl = viewCtrl;
        this.alertCtrl = alertCtrl;
        this.geolocation = geolocation;
        this.loading = loading;
        this.storage = storage;
    }
    CarPositionPage.prototype.ionViewDidLoad = function () {
        this.viewCtrl.setBackButtonText('返回');
        console.log('ionViewDidLoad CarPositionPage');
    };
    CarPositionPage.prototype.ionViewWillEnter = function () {
        this.getCarPosition();
        // this.currentday = new Date('2018-05-26').getDate();
        // this.weekArray = this.setDate(new Date('2018-05-26'));
    };
    CarPositionPage.prototype.getCarPosition = function () {
        var _this = this;
        this.alert = this.alertCtrl.create({});
        this.loader = this.loading.create({
            content: '连接中....',
            duration: 6000
        });
        this.storage.get('username').then(function (username) {
            if (username) {
                _this.storage.get('passwd').then(function (passwd) {
                    if (passwd) {
                        _this.loader.present().then(function () {
                            _this.service.getCarPosition(username, passwd).subscribe(function (res) {
                                var message = res.json().message;
                                console.log(message);
                                if (typeof (message) == 'object' && message[0]) {
                                    _this.message = message;
                                    _this.coachpositions = [];
                                    message.forEach(function (element) {
                                        var position = { 'lon': element.lon, 'lat': element.lat, 'car': element.car, 'coach': element.name, 'phone': element.phone };
                                        _this.coachpositions.push(position);
                                    });
                                    var geolocation_1 = new BMap.Geolocation();
                                    console.log(geolocation_1);
                                    geolocation_1.getCurrentPosition(function (position) {
                                        console.log(geolocation_1.getStatus());
                                        if (geolocation_1.getStatus() == 0) {
                                            console.log(position.longitude, position.latitude);
                                            _this.myposition = { 'lon': position.longitude, 'lat': position.latitude };
                                            _this.initMap(_this.coachpositions, _this.myposition);
                                            // this.addMarkers1(position.latitude, position.longitude)
                                            _this.addMarkers(_this.coachpositions);
                                            _this.addMarkers1(_this.myposition);
                                        }
                                        else {
                                            _this.initMap1(_this.coachpositions);
                                            _this.addMarkers(_this.coachpositions);
                                        }
                                        _this.loader.dismiss();
                                    }, function (error) {
                                        console.log(error);
                                        _this.initMap1(_this.coachpositions);
                                        _this.addMarkers(_this.coachpositions);
                                        _this.loader.dismiss();
                                    });
                                }
                                else if (typeof (message) == 'string' && message == 'noappointment') {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('您今天没有预约任何培训');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                                else if (typeof (message) == 'object' && !message[0]) {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('没有车辆位置');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                                else {
                                    _this.loader.dismiss();
                                    _this.alert.setTitle('获取位置信息失败');
                                    _this.alert.addButton('确定');
                                    _this.alert.present();
                                }
                            }, function (error) {
                                _this.loader.dismiss();
                                _this.alert.setTitle('连接服务器失败');
                                _this.alert.addButton('确定');
                                _this.alert.present();
                                console.log(error);
                            });
                        });
                    }
                    else {
                        _this.alert.setTitle('请重新登录');
                        _this.alert.addButton('确定');
                    }
                });
            }
            else {
                _this.alert.setTitle('请重新登录');
                _this.alert.addButton('确定');
            }
        });
    };
    CarPositionPage.prototype.initMap = function (carpositions, myposition) {
        var map = this.map1 = new BMap.Map(this.mapElement.nativeElement, { enableMapClick: false }); //创建地图实例
        // map.centerAndZoom("广州",17); //设置城市设置中心和地图显示级别
        var pointArr = [];
        for (var index = 0; index < carpositions.length; index++) {
            var element = carpositions[index];
            var point = new BMap.Point(element.lon, element.lat);
            pointArr.push(point);
        }
        pointArr.push(new BMap.Point(myposition.lon, myposition.lat));
        var v = map.getViewport(pointArr);
        console.log(v);
        map.centerAndZoom(v.center, v.zoom - 1);
        map.addControl(new BMap.MapTypeControl());
        // map.setCurrentCity("广州"); 
        // let sizeMap = new BMap.Size(10, 80);//显示位置
        map.addControl(new BMap.NavigationControl());
        map.enableScrollWheelZoom(true); //启动滚轮放大缩小，默认禁用
        map.enableContinuousZoom(true); //连续缩放效果，默认禁用
    };
    CarPositionPage.prototype.initMap1 = function (carpositions) {
        var map = this.map1 = new BMap.Map(this.mapElement.nativeElement, { enableMapClick: false }); //创建地图实例
        // map.centerAndZoom("广州",17); //设置城市设置中心和地图显示级别
        var pointArr = [];
        for (var index = 0; index < carpositions.length; index++) {
            var element = carpositions[index];
            var point = new BMap.Point(element.lon, element.lat);
            pointArr.push(point);
        }
        var v = map.getViewport(pointArr);
        console.log(v);
        map.centerAndZoom(v.center, v.zoom - 1);
        map.addControl(new BMap.MapTypeControl());
        // map.setCurrentCity("广州"); 
        // let sizeMap = new BMap.Size(10, 80);//显示位置
        map.addControl(new BMap.NavigationControl());
        map.enableScrollWheelZoom(true); //启动滚轮放大缩小，默认禁用
        map.enableContinuousZoom(true); //连续缩放效果，默认禁用
    };
    CarPositionPage.prototype.addMarkers = function (carpositions) {
        for (var index = 0; index < carpositions.length; index++) {
            var element = carpositions[index];
            var point = new BMap.Point(element.lon, element.lat);
            var myIcon = new BMap.Icon("assets/icon/car.png", new BMap.Size(25, 35));
            var marker1 = this.marker = new BMap.Marker(point, { icon: myIcon });
            this.map1.addOverlay(marker1);
            var label1 = new BMap.Label("<span style='font-size: 18px'>" + element.car + "</span>", {
                offset: new BMap.Size(-20, -30)
            });
            marker1.setLabel(label1);
        }
        // let infoWindow = new BMap.InfoWindow("<span style='font-size: 14px'>" + coach  + "--" + phone + "</span>",{
        //   offset : new BMap.Size(0, -20),
        //   width:80,
        //   height:10
        // });
        // marker.openInfoWindow(infoWindow);
    };
    CarPositionPage.prototype.addMarkers1 = function (myposition) {
        var point2 = new BMap.Point(myposition.lon, myposition.lat); //坐标可以通过百度地图坐标拾取器获取
        var myIcon2 = new BMap.Icon("assets/icon/position-i.png", new BMap.Size(25, 35));
        var marker2 = this.marker = new BMap.Marker(point2, { icon: myIcon2 });
        this.map1.addOverlay(marker2);
        var label2 = new BMap.Label("<span style='font-size: 14px'>我的位置</span>", {
            offset: new BMap.Size(-20, -30)
        });
        marker2.setLabel(label2);
    };
    CarPositionPage.prototype.call = function (tel) {
        console.log(tel);
        window.location.href = 'tel:' + tel;
    };
    CarPositionPage.prototype.refresh = function () {
        this.getCarPosition();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('map1'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], CarPositionPage.prototype, "mapElement", void 0);
    CarPositionPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-car-position',template:/*ion-inline-start:"G:\testapp\sss\liu\src\pages\car-position\car-position.html"*/'<!--\n  Generated template for the CarPositionPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar color="primary">\n    <ion-title>教练车位置</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content>\n  <div id="map1" #map1></div>\n  <ion-card class="coachbtn">\n    <ion-list *ngFor="let p of coachpositions">\n      <div><button ion-button color="primary" block (click)="call(p.phone)">\n        <h3>联系{{p.coach}}({{p.phone}})</h3>\n      </button>\n      </div>\n    </ion-list>\n  </ion-card>\n  <ion-fab right middle>\n      <button ion-fab mini (click)="refresh()"><ion-icon name="refresh"></ion-icon></button>\n    </ion-fab>\n  \n</ion-content>\n'/*ion-inline-end:"G:\testapp\sss\liu\src\pages\car-position\car-position.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavParams */], __WEBPACK_IMPORTED_MODULE_4__providers_home_home__["a" /* HomeProvider */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_geolocation__["a" /* Geolocation */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], CarPositionPage);
    return CarPositionPage;
}());

//# sourceMappingURL=car-position.js.map

/***/ })

});
//# sourceMappingURL=18.js.map